Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1518728 - [abrt] vocal: gee_array_list_real_get(): vocal killed by SIGABRT
Summary: [abrt] vocal: gee_array_list_real_get(): vocal killed by SIGABRT
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: vocal
Version: 27
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Fabio Valentini
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:4ece7f5df0b5cb6a633073520e4...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-29 14:08 UTC by Carlos M. Echenique
Modified: 2018-05-02 12:35 UTC (History)
1 user (show)

Fixed In Version: vocal-2.2.0-1.fc28 vocal-2.2.0-1.fc26 vocal-2.2.0-1.fc27
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-02 10:51:46 UTC


Attachments (Terms of Use)
File: backtrace (deleted)
2017-11-29 14:08 UTC, Carlos M. Echenique
no flags Details
File: cgroup (deleted)
2017-11-29 14:08 UTC, Carlos M. Echenique
no flags Details
File: core_backtrace (deleted)
2017-11-29 14:08 UTC, Carlos M. Echenique
no flags Details
File: cpuinfo (deleted)
2017-11-29 14:08 UTC, Carlos M. Echenique
no flags Details
File: dso_list (deleted)
2017-11-29 14:08 UTC, Carlos M. Echenique
no flags Details
File: environ (deleted)
2017-11-29 14:08 UTC, Carlos M. Echenique
no flags Details
File: limits (deleted)
2017-11-29 14:08 UTC, Carlos M. Echenique
no flags Details
File: maps (deleted)
2017-11-29 14:08 UTC, Carlos M. Echenique
no flags Details
File: mountinfo (deleted)
2017-11-29 14:08 UTC, Carlos M. Echenique
no flags Details
File: open_fds (deleted)
2017-11-29 14:08 UTC, Carlos M. Echenique
no flags Details
File: proc_pid_status (deleted)
2017-11-29 14:08 UTC, Carlos M. Echenique
no flags Details
File: var_log_messages (deleted)
2017-11-29 14:08 UTC, Carlos M. Echenique
no flags Details

Description Carlos M. Echenique 2017-11-29 14:08:01 UTC
Version-Release number of selected component:
vocal-2.0.20-4.fc27

Additional info:
reporter:       libreport-2.9.3
backtrace_rating: 4
cmdline:        vocal
crash_function: gee_array_list_real_get
executable:     /usr/bin/vocal
journald_cursor: s=e2f94a3a2e604432a59b61d13e421666;i=15b1e;b=ccfff7c613e84bd79445567328354e1d;m=2bf21a8913;t=55f1f38fda50f;x=9ee76bc0040d0818
kernel:         4.13.13-300.fc27.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (5 frames)
 #4 gee_array_list_real_get at arraylist.c:957
 #5 vocal_podcast_view_mark_episode_as_played_requested_internal at /usr/src/debug/vocal-2.0.20-4.fc27.x86_64/src/Widgets/PodcastView.vala:248
 #6 _g_closure_invoke_va at gclosure.c:867
 #9 gtk_button_do_release at gtkbutton.c:1843
 #10 gtk_real_button_released at gtkbutton.c:1961

Comment 1 Carlos M. Echenique 2017-11-29 14:08:06 UTC
Created attachment 1360332 [details]
File: backtrace

Comment 2 Carlos M. Echenique 2017-11-29 14:08:07 UTC
Created attachment 1360333 [details]
File: cgroup

Comment 3 Carlos M. Echenique 2017-11-29 14:08:09 UTC
Created attachment 1360334 [details]
File: core_backtrace

Comment 4 Carlos M. Echenique 2017-11-29 14:08:10 UTC
Created attachment 1360335 [details]
File: cpuinfo

Comment 5 Carlos M. Echenique 2017-11-29 14:08:11 UTC
Created attachment 1360336 [details]
File: dso_list

Comment 6 Carlos M. Echenique 2017-11-29 14:08:12 UTC
Created attachment 1360337 [details]
File: environ

Comment 7 Carlos M. Echenique 2017-11-29 14:08:13 UTC
Created attachment 1360338 [details]
File: limits

Comment 8 Carlos M. Echenique 2017-11-29 14:08:14 UTC
Created attachment 1360339 [details]
File: maps

Comment 9 Carlos M. Echenique 2017-11-29 14:08:15 UTC
Created attachment 1360340 [details]
File: mountinfo

Comment 10 Carlos M. Echenique 2017-11-29 14:08:16 UTC
Created attachment 1360341 [details]
File: open_fds

Comment 11 Carlos M. Echenique 2017-11-29 14:08:17 UTC
Created attachment 1360342 [details]
File: proc_pid_status

Comment 12 Carlos M. Echenique 2017-11-29 14:08:18 UTC
Created attachment 1360343 [details]
File: var_log_messages

Comment 13 Fabio Valentini 2017-12-19 10:34:50 UTC
Can you provide steps to reproduce this crash, or did it happen just once?

Comment 14 Fedora Update System 2018-04-23 17:49:33 UTC
vocal-2.2.0-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-4f9c76deaf

Comment 15 Fedora Update System 2018-04-23 18:08:40 UTC
vocal-2.2.0-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-38e8762c35

Comment 16 Fedora Update System 2018-04-23 18:09:54 UTC
vocal-2.2.0-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2018-f17b923127

Comment 17 Fedora Update System 2018-04-23 22:54:11 UTC
vocal-2.2.0-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-4f9c76deaf

Comment 18 Fedora Update System 2018-04-24 05:04:14 UTC
vocal-2.2.0-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-f17b923127

Comment 19 Fedora Update System 2018-04-24 05:38:47 UTC
vocal-2.2.0-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-38e8762c35

Comment 20 Fedora Update System 2018-05-02 10:51:46 UTC
vocal-2.2.0-1.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 21 Fedora Update System 2018-05-02 12:04:18 UTC
vocal-2.2.0-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 22 Fedora Update System 2018-05-02 12:35:53 UTC
vocal-2.2.0-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.